/* $Id: dmwriter.h,v 1.1 1998/04/05 14:54:05 queinnec Exp $ 
 * The goal of that file is to define a macro to patch the
 * runtime1.9c/Clib/writer.c file of Bigloo (previously this was the
 * runtime1.8/Clib/writer.c file) and add the capability to display
 * DMeroon objects. They are written as #<DMeroon:address> where
 * address is the DMeroon reference of the object (not its Bigloo
 * address). See also the DMeroon/Commands/dmwriter.prl script.
 */

#define DMEROON_OBJECT_HACK_FOR_BIGLOO \
/*************************** DMeroon objects ******************* \
 * Display the DMeroon reference instead of the Bigloo address.  \
 */ \
            case DM_HEADER: \
              { \
                if ( OUTPUT_STRING_PORTP( port ) ) \
                  { \
                    char aux[20]; \
                    sprintf(aux, "#<DMeroon:%p>", DM_FromSupport(o)); \
                    strputs(aux, port); \
                  } else { \
                    FILE *fout = OUTPUT_PORT( port ).file; \
                    fprintf(fout, "#<DMeroon:%p>", DM_FromSupport(o)); \
                  } \
                return o; \
              } \
/*************************** end of DMeroon objects *************/

/* end of dmwriter.h */
