;;; $Id: tstdrvr.scm,v 1.5 1998/04/14 20:05:56 queinnec Exp $

;;; This file supposes TOP/Others/tester.scm to be present.

(define DM-error 'wait)

(define (test-drive file)
  (suite-test
   file
   "?? " "== " #t
   (lambda (read print err)
     (set! DM-error err)
     (lambda ()
       (print (try (let ((result (eval (read))))
                     (flush-output-port (current-output-port))
                     result )
                   (lambda (k a b c)
                     (notify-error a b c)
                     (err a b c) ) ) ) ) )
   equal? ) )
;;; Test: (test-drive "DMeroon.tst")

;;; Evaluate some forms and exit from Bigloo with some code. 
;;; This code may be used from Makefiles.

(define-macro (test-wrap . forms)
  `(if (try (begin . ,forms)
            (lambda (k a b c)
              (notify-error a b c)
              (k #f) ) )
       (exit-test 0)
       (exit-test 1) ) )

(define (exit-test code)
  (display "*** *** *** *** *** *** *** *** *** *** *** *** *** *** ***")
  (newline)
  (case code
    ((0) 
     (display "                  Successful end of tests.                 ") )
    (else 
     (display "                  ERROR ERROR ERROR                        ") ) )
  (newline)
 (display "*** *** *** *** *** *** *** *** *** *** *** *** *** *** ***")
  (newline)
 (exit code) )

;;; end of tstdrvr.scm
