#! /bin/sh
# $Id: link.sh,v 1.1 1995/07/01 18:18:57 queinnec Exp $
# Try to link or copy a file from a place to another. Keeps timestamps.
# On some machines, Make seems to be confused by timestamps on symbolic 
# links so I don't use them.

Usage="Usage: $0 source target"

if [ $# != 2 ]
then 
        echo $Usage 
        exit 3
fi

if [ -f $2 ] 
then 
        rm -f $2
fi
 
ln $1 $2 || cp -p $1 $2

# end of link.sh
