;;; $Id: exchng12.tst,v 1.4 1997/07/14 19:02:28 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). It establishes a Connection to OTHER then sends some
;;; instances to OTHER.

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Create a new Class and send the Field and an instance before
;;; sending the class.
(define TestClass3
  (DM-create-subclass DM-Object-class
                      "TestClass3" 0
                      "a" 0 DM-nought-type DM-nat3-type #f ) )
   ---
(define TestClass4
  (DM-create-subclass TestClass3
                      "TestClass4" 0
                      "b" 0 DM-nought-type DM-nat1-type #f ) )
   ---
(DM-send-object (DM-indexed-field-value TestClass4
                                        DM-Class-field-field
                                        1 ))
   ---
(let ((o (DM-allocate TestClass4)))
  (DM-set-field-value! 
   o (DM-indexed-field-value TestClass3
                             DM-Class-field-field
                             0 )
   12345 )
  (DM-set-field-value! 
   o (DM-indexed-field-value TestClass4
                             DM-Class-field-field
                             1 )
   128 )
  (DM-set-sharable! o)
  (DM-send-object o) )
   ---

;;; Serve while OTHER pulls DMeroon values until receiving DM-false.

(DM-serve-until-receiving DM-false)
   ---

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng12.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng12.tst
