;;; $Id: exchng13.tst,v 1.3 1997/07/14 19:02:28 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). The current site is checked to receive correct objects
;;; from OTHER.

;;; assume TOP/DMeroon/dmlib.scm to be loaded.

(define other (wait-for-site 100))
   ---

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Receive some data, forget it immediately, force a GC and expect
;;; the remote data to disappear.
(define r (DM-receive-object))
   ---
(begin (set! r #f) (DM-gc))
   ---

;;; Signify to OTHER that testing is finished.
(DM-send-object DM-false)
   ---

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng13.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng13.tst
