;;; $Id: exchng2.tst,v 1.6 1997/07/14 19:02:29 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). A Connection to OTHER is supposed to be established. The
;;; current site then send a series of objects. Normally these objects
;;; are directly and completely encoded so DM-field-value on OTHER is
;;; purely local and does not require the remote fetching protocol.

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 1) )
   ---

;;; Send simple objects of different types.
(DM-send-object DM-nought-type)
   ---
(DM-send-object DM-nat3-type)
   ---
(DM-send-object DM-Site-support-field)
   ---
(DM-send-object other)
   ---
(DM-send-object DM-site)
   ---
(let* ((class DM-nat1-class)
       (o     (DM-allocate class))
       (f     (DM-indexed-field-value class DM-Class-field-field 0)) )
  (DM-set-field-value! o f 11)
  (DM-set-copyable! o)
  (DM-send-object o) )
   ---

;;; After sending the last object (right before), wait a little then
;;; exits. This end of file will finish the server, OTHER will notify
;;; it and finishes as well.

(DM-serve 10)
   ---

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng2.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng2.tst
