;;; $Id: exchng5.tst,v 1.6 1997/07/14 19:02:29 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). The current site is checked to receive correct Symbols
;;; from OTHER.

(define other (wait-for-site 100))
   ---

;;; A function to send an object and flush the message right after.
(define (DM-send-object o s)
  (DM-send o s)
  (DM-serve 10) )
   ---

;;; Received two symbols, check they are the same and another symbol,
;;; different.

(let* ((s1 (DM-receive-object))
       (s2 (DM-receive-object))
       (s3 (DM-receive-object)) )
  (and (DM-is-a? s1 DM-Symbol-class)
       (DM-is-a? s2 DM-Symbol-class)
       (DM-is-a? s3 DM-Symbol-class)
       (eq? s1 s2)
       (not (eq? s2 s3)) ) )
   #t

;;; Signify to OTHER that testing is finished.
(DM-send-object DM-false other)
   ---


" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng5.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng5.tst
