;;; $Id: exchng7.tst,v 1.9 1997/08/17 19:30:49 queinnec Exp $

;;; This file is to be evaluated by a server (known here as ME, the
;;; other being known as OTHER). ME is checked to receive correct
;;; Symbols from OTHER.

;;; assume TOP/DMeroon/dmlib.scm to be loaded.

(define me DM-site)
   ---
(define other (wait-for-site 100))
   ---

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; a remote class and one of its instance.
(define remote-TestClass1 (DM-receive-object))
   ---
(DM-is-a? remote-TestClass1 DM-Class-class)
   #t

;;; Look at this class
;(DM-describe-all remote-TestClass1)
;   ---

;;; receive an instance of that fresh class
(define o34 (DM-receive-object))
   ---
(DM-is-a? o34 remote-TestClass1)
   #t
(= (DM-indexed-field-length o34 (DM-indexed-field-value remote-TestClass1
                                                DM-Class-field-field
                                                1 ))
   111 )
   #t
(DM-describe o34)
   ---
;;; Try to allocate locally with this class
(DM-indexed-field-length (DM-allocate remote-TestClass1 22)
                 (DM-indexed-field-value remote-TestClass1
                                         DM-Class-field-field
                                         1 ) )
   22

;;; Signify to OTHER that testing is finished.
(DM-send-object DM-false)
   ---


" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng7.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng7.tst
