/* $Id: dmprint.h,v 1.25 1997/05/25 18:52:57 queinnec Exp $ 
 * ///////////////////////////////////////////////////////////////////////
 *                    //          //
 *                   // DMeroon  //
 *                  //          //
 * A continuation-based causal distributed class-based object system.
 * Christian.Queinnec@polytechnique.fr
 * ///////////////////////////////////////////////////////////////////////
 */

#ifndef DM_PRINT_H
#define DM_PRINT_H

#define DM_print_byte(context,c,p) \
  (DM_print_char (context, (char)(c), (p)))

extern void
DM_print_char (DM_Context *context,
               char character, 
               void *output_port );

extern void
DM_print_string (DM_Context *context,
                 DM_String *string,
                 void      *output_port );

extern void
DM_local_print (DM_Context *context,
                DM_DMeroonType  *type, 
                DM_Object       *o, 
                DM_displacement t, 
                void            *output_port );

extern void
DM_prtcl_test (DM_Context *context,
               DM_Object  *o1,
               DM_Object  *o2 );

extern void 
DM_print_initialize(DM_Context *context);

#endif /* DM_PRINT_H */

/* end of dmprint.h */
