/** @version $Id: Subr3.java,v 2.1 1997/11/25 19:37:19 queinnec Exp $
 *  @author <A href="http://www-spi.lip6.fr/~queinnec/WWW/Queinnec.html">
 *          Christian.Queinnec@lip6.fr </A>
 * This file is part of the Jaja system: a Scheme interpreter written in 
 * Java including a Scheme->Java compiler. See
 * <A href="http://www-spi.lip6.fr/~queinnec/WWW/Jaja.html"> 
 *          Jaja documentation </a>.
 */

package Jaja;

/** This is the class for primitive procedures with three arguments. */

public abstract class Subr3 extends Subr {

  // Constructor

  protected Subr3 (String n) {
    super(n);
  }

  // Invokers

  public Value invoke (Value args[]) {
    if ( args.length == 3 ) {
      return this.invoke(args[0], args[1], args[2]);
    } else {
      return super.invoke(args);
    }
  }
  public abstract Value invoke (Value arg1,
                                Value arg2,
                                Value arg3 );
}

// end of Subr3.java
