;;; $Id: string.tst,v 1.2 1996/09/02 18:34:22 queinnec Exp $

;;; Tests operations on strings.

make-string
   ---
(make-string 3 #\Q)
   "QQQ"
(make-string 3)
   ---
(string? (make-string 3))
   #t
(string? #f)
   #f
(string-length (make-string 3))
   3
(string-ref "AbC" 0)
   #\A
(string-ref "AbC" -1)
   ***
(string-ref "AbC" 5)
   ***
(string-set! (make-string 3) 0 #\Q)
   ---
((lambda (s)
  (string-set! s 0 #\Q)
  (string-ref s 0) )
 (make-string 3) )
   #\Q
(string-set! (make-string 3) -1 #\Q)
   ***
(string-set! (make-string 3) 4 #\Q)
   ***

(string #\F #\o #\O)
   "FoO"
(string-length (string #\F #\o #\O))
   3

;;; end of string.tst
