/** @version $Id: Subr1.java,v 2.1 1997/11/25 19:37:18 queinnec Exp $
 *  @author <A href="http://www-spi.lip6.fr/~queinnec/WWW/Queinnec.html">
 *          Christian.Queinnec@lip6.fr </A>
 * This file is part of the Jaja system: a Scheme interpreter written in 
 * Java including a Scheme->Java compiler. See
 * <A href="http://www-spi.lip6.fr/~queinnec/WWW/Jaja.html"> 
 *          Jaja documentation </a>.
 */

package Jaja;

/** This is the class for primitive procedures with one argument. */

public abstract class Subr1 extends Subr {

  // Constructor

  protected Subr1 (String n) {
    super(n);
  }

  // Invokers

  public Value invoke (Value args[]) {
    if ( args.length == 1 ) {
      return this.invoke(args[0]);
    } else {
      return super.invoke(args);
    }
  }
  public abstract Value invoke (Value arg1);

}

// end of Subr1.java
