;;; $Id: macbgl.scm,v 1.5 1996/08/28 17:47:41 queinnec Exp $

;;; This is the macro-related part of the adaption of Icslas to Bigloo.

;;; You must first define a macro that allows to define a macro.  The
;;; defined macro will be used while processing the sources of Icslas.

(define-macro (define-icslas-macro call . body)
  `(define-macro ,call . ,body) )

;;; Then define a macro that defines a macro that must be present at
;;; runtime. This is different from the previous one in a compiler if
;;; the compiler runs in a different memory image.

(define-icslas-macro (define-pervasive-icsla-macro call . body)
  `(eval '(define-macro ,call . ,body)) )

;;; end of macbgl.scm
