;;; $Id: start.scm,v 1.1 1995/06/20 18:22:44 queinnec Exp $ 

;;; This file describes how to load the sources of Icslas under an
;;; interpreter. It assumes that the appropriate prologue is already
;;; present (files {Bigloo,Scheme2C}/icslas.{bgl,s2c}). The
;;; icsla-features describes what is the implementation and what
;;; kind of compiler must be loaded.

(define (load-icslas)
  (load "icslas.scm")
  (process-icslas-sources 
   icslas-features
   (lambda (file)
     (load (string-append file ".scm")) ) )
  (append icsla-features '("Icslas loaded.")) )

;;; end of start.scm
