;;; $Id: exchng10.tst,v 1.5 1997/07/14 19:02:28 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). It establishes a Connection to OTHER then sends some
;;; instances to OTHER.

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Create a new Class and send a fresh instance without sending the
;;; Class first.
(define TestClass2
  (DM-create-subclass DM-Object-class
                      "TestClass2" 0
                      "a" 0 DM-nought-type DM-int3-type #f ) )
   ---
(let ((o (DM-allocate TestClass2)))
  (DM-set-field-value! 
   o (DM-indexed-field-value TestClass2
                             DM-Class-field-field
                             0 )
   12345 )
  (DM-set-sharable! o)
  (DM-send-object o) )
   ---

;;; Serve while OTHER pulls DMeroon values until receiving DM-false.

(DM-serve-until-receiving DM-false)
   ---

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng10.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng10.tst
