;;; $Id: exchng14.tst,v 1.2 1997/07/14 19:02:29 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). It establishes a Connection to OTHER then sends some
;;; instances to OTHER.

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Send an object, 
(define o 
  (let ((o (DM-allocate DM-String-class 4)))
    (DM-set-indexed-field-value! o DM-String-character-field 2 #\A)
    (DM-set-sharable! o)
    (DM-send-object o)
    o ) )
   ---

;;; Test now that o has a null reference counter. Use the dangerous
;;; DM-proxy-of function (only for debug purpose).
DM-proxy-of
   ---
(DM-field-value (DM-proxy-of o) DM-External-counter-field)
   0

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng14.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng14.tst
