;;; $Id: exchng1t.tst,v 1.8 1997/08/17 19:30:49 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). OTHER will send a number of objects to test the
;;; marshaling/unmarshaling code.  The current site will just check
;;; that it receives the right objects.

(define other (wait-for-site 100))
   ---

;;; Wait and check received objects.
(eq? (DM-receive-object) DM-nought-type)
   #t
(eq? (DM-receive-object) DM-nat3-type)
   #t
(eq? (DM-receive-object) DM-Site-support-field)
   #t
(eq? (DM-receive-object) DM-site)
   #t
(eq? (DM-receive-object) other)
   #t
(let* ((o     (DM-receive-object))
       (class (DM-class-of o))
       (f     (DM-indexed-field-value class DM-Class-field-field 0)) )
  (DM-field-value o f) )
   11


" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng1.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng1.tst
