;;; $Id: exchng6.tst,v 1.7 1997/08/17 19:30:49 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). It establishes a Connection to OTHER then sends some
;;; Symbols to OTHER.

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Symbols
;;; Convert a Scheme string into a DMeroon instance of String.
(define (DM-string->Symbol s)
  (let* ((n   (string-length s))
         (str (DM-allocate DM-Symbol-class (+ n 1))) )
    (do ((i 0 (+ i 1)))
        ((>= i n) str)
      (DM-set-indexed-field-value!
       str DM-String-character-field i (string-ref s i) ) ) ) )
   ---
(DM-is-a? (DM-string->Symbol "foo") DM-Symbol-class)
   #t
(DM-indexed-field-length (DM-string->Symbol "foo") DM-String-character-field)
   4
;;; Send two symbols and hope they will be eq? at the other site.
;;; Then send another different symbol.
(define symbol
  (let* ((s1 (DM-string->Symbol "foo"))
         (s2 (DM-string->Symbol "foo"))
         (s3 (DM-string->Symbol "foobar")) )
    (DM-set-sharable! s1)
    (DM-set-sharable! s2)
    (DM-set-initialized! s2)
    (DM-send-object s1)
    (DM-send-object s2)
    (DM-send-object s3)
    s1 ) )
   ---

;;; Serve while OTHER pulls DMeroon values until receiving DM-false.

(DM-serve-until-receiving DM-false)
   ---

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng6.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng6.tst
