;;; $Id: exchng8.tst,v 1.8 1997/07/14 19:02:29 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). It establishes a Connection to OTHER then sends some
;;; Symbols to OTHER.

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Create then send a fresh class
(define TestClass1
  (DM-create-subclass DM-Char1-class
                      "TestClass1" 0
                      "a" 0 DM-nat1-type DM-int2-type #f ) )
   ---
(DM-send-object TestClass1)
   ---
;;; Look at this class
;(DM-describe-all TestClass1)
;   ---
;;; and one of its instance
(let ((o (DM-allocate TestClass1 111)))
  (define field0 (DM-indexed-field-value TestClass1
                                         DM-Class-field-field
                                         0 ))
  (define field1 (DM-indexed-field-value TestClass1
                                         DM-Class-field-field
                                         1 ))
  (DM-set-field-value! o field0 #\A)
  (DM-set-indexed-field-value! o field1 0 17)
  (DM-set-indexed-field-value! o field1 1 18)
  (DM-set-sharable! o)
  (DM-send-object o) )
   ---

;;; Serve while OTHER pulls DMeroon values until receiving DM-false.

(DM-serve-until-receiving DM-false)
   ---

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng8.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng8.tst
