;;; $Id: exchng9.tst,v 1.6 1997/07/14 19:02:29 queinnec Exp $

;;; This file is to be evaluated by a server (the other being known as
;;; OTHER). The current site is checked to receive correct objects
;;; from OTHER.

;;; assume TOP/DMeroon/dmlib.scm to be loaded.

(define other (wait-for-site 100))
   ---

;;; A function to send an object and flush the message right after.
(define (DM-send-object o)
  (DM-send o other)
  (DM-serve 10) )
   ---

;;; Receive an instance of a locally unknown class.
(define oo (DM-receive-object))
   ---
;;; allocate with its class
(DM-allocate (DM-class-of oo))
   ---
(DM-describe oo)
   ---

;;; Signify to OTHER that testing is finished.
(DM-send-object DM-false)
   ---


" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All exchng9.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of exchng9.tst
