;;; $Id: html.tst,v 1.6 1995/09/11 18:21:20 queinnec Exp $
;;; This file tests the html protocol interface.
;;; It is better to test it through an http client (mosaic or others).
;;; These tests only check that no error is signalled.

(http-process "")
   ---
(http-process "help")
   ---
(http-process "show/DMeroon")
   ---
(http-process "show/user")
   ---
(http-process "bytes/user")
   ---
(http-process "bytes/DMeroon")
   ---
(http-process "show/DMeroon/classes/DM-Nat3-class")
   ---
(http-process "show/DMeroon/DMeroon_original_repository")
   ---

;;; access subfields
(html-find-object '("DMeroon" "site" "@" "name"))
   ---
(http-process "show/DMeroon/site/@/name")
   ---
(html-find-object '("DMeroon" "vector_of_DMeroon_types" "@" "item" "3"))
   ---
(http-process "show/DMeroon/vector_of_DMeroon_types/@/item/3")
   ---

;;; Test display of individual objects.
(html-show DM-nil (current-output-port))
   ---
(html-show (->String "foo") (current-output-port))
   ---
(html-show DM-nat3-type (current-output-port))
   ---
(html-show DM-Class-class (current-output-port))
   ---
(http-process "show/DMeroon/DMeroon_original_repository")
   ---


;;; Exercice errors (they are signalled to the caller by an appropriate
;;; message not an exception).
(http-process "foobar")
   ***

" *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      All html.tst tests successfully run!
 *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***"
   ---

;;; end of html.tst
