;;; $Id$

;;; This file tries to check the sanity of all predefined objects.

DM-site
  ---

;;; Verify that all objects reachable from DM-site are initialized
(define (check-initialized o)
  (call/cc 
   (lambda (exit)
     (define (check o)
       (display `("Checking" ,o))
       (if (memq o *all-dmeroon-objects*)
           #t 
           (begin
             (set! *all-dmeroon-objects* (cons o *all-dmeroon-objects*))
             (if (DM-is-initialized o)
                 (DM-iterate
                  o
                  (lambda (field itemtyp o t)
                    (if (eq? itemtyp DM-reference-type)
                        (check (DM-local-get DM-reference-type o field)) ) )
                  (lambda (field reptyp itemtyp o t)
                    'nothing )
                  (lambda (field itemtyp o t j)
                    (if (eq? itemtyp DM-reference-type)
                        (check (DM-local-indexed-get 
                                DM-reference-type o field j )) ) ) )
                 (exit #f) ) ) ) )
     (check o) ) ) )
   ---
(define *all-dmeroon-objects* '())
   ---
(check-initialized DM-site)
   #t
(display (length *all-dmeroon-objects*))
   ---

;;; end of sanity.tst
