/* $Id: dmreq.h,v 1.8 1998/06/10 16:31:30 queinnec Exp $ 
 * ///////////////////////////////////////////////////////////////////////
 *                    //          //
 *                   // DMeroon  //
 *                  //          //
 * A continuation-based causal distributed class-based object system.
 * Christian.Queinnec@polytechnique.fr
 * ///////////////////////////////////////////////////////////////////////
 */

extern void
DM_memorize_sent_object (DM_Context *context,
                         DM_Object *o);

extern void
DM_memorize_received_object (DM_Context *context,
                             DM_Object *o);

extern void
DM_receive_request (DM_Context *context,
                    DM_Request *request);

extern void
DM_receive_answer (DM_Context *context,
                   DM_Answer *answer);

extern void
DM_handle_site_connection_request (DM_Context               *context,
                                   DM_SiteConnectionRequest *request);
extern void
DM_handle_object_send_request (DM_Context           *context,
                               DM_ObjectSendRequest *request);
extern void
DM_handle_object_fetch_request (DM_Context            *context,
                                DM_ObjectFetchRequest *request);
extern void
DM_handle_object_indexed_mutation_request 
      (DM_Context               *context,
       DM_ObjectIndexedMutationRequest *request);
extern void
DM_handle_object_mutation_request (DM_Context               *context,
                                   DM_ObjectMutationRequest *request);
extern void
DM_handle_owner_change_request (DM_Context            *context,
                                DM_OwnerChangeRequest *request);
extern void
DM_handle_remote_owner_change_request (DM_Context                  *context,
                                       DM_RemoteOwnerChangeRequest *request);

extern void
DM_handle_site_connection_answer (DM_Context              *context,
                                  DM_SiteConnectionAnswer *answer);
extern void
DM_handle_object_fetch_answer (DM_Context           *context,
                               DM_ObjectFetchAnswer *answer);
extern void
DM_handle_object_mutation_answer (DM_Context              *context,
                                  DM_ObjectMutationAnswer *answer);
extern void
DM_handle_owner_change_answer (DM_Context           *context,
                               DM_OwnerChangeAnswer *answer);
extern void
DM_handle_remote_owner_change_answer (DM_Context                 *context,
                                      DM_RemoteOwnerChangeAnswer *answer);
extern void
DM_handle_failure_answer (DM_Context       *context,
                          DM_FailureAnswer *answer );

#if defined(DM_DEBUG) && (DM_DEBUG>6)
extern DM_BoundedStack* DM_lastreqans;
#endif /* DM_DEBUG */

extern void DM_req_initialize (DM_Context *context);

/* end of dmreq.h */
