;;; $Id: char.scm,v 1.2 1997/12/02 08:38:10 queinnec Exp $

;;; This file describes an implementation of characters.
;;; This implementation depends on a number of predefined entities:
;;;  The <Character> class with its <Character.code> field;
;;;  The all-characters string;
;;;  The to-{upper/lower}-case-characters strings that map characters to
;;;      their upper (or lower) equivalent.

(define (char? o)
  (is-a? o <Character>) )

(define (char->integer c)
  (field-value c <Character.code>) )

(define (integer->char i)
  (string-ref all-characters i) )

;;; end of char.scm
