;;; $Id: macosc.scm,v 1.2 1996/08/28 17:48:08 queinnec Exp $

;;; This file defines what is necessary to understand Icslas and
;;; Meroon sources.

;;; Define how local macros (local to the sources of Icslas) can be defined.

(defmacro (define-icslas-macro call . body)
  `(defmacro ,call ,@body) )

;;; Define a pervasive macro (present in the runtime).

(defmacro (define-pervasive-icslas-macro call . body)
  `(eval '(defmacro ,call ,@body)) )

;;; end of macosc.scm
