;;; $Id: monitor.tst,v 1.1 1998/03/18 20:36:30 queinnec Exp $
;;;==================================================================
;;; Test exceptions. (snarfed from ~/icslas/Test/icslas.tst)
;;; Rewritten to use call/ep instead of bind-exit.

diagnose
   ---
(call/ep (lambda (k) 1))
   1
(call/ep (lambda (k) (k 2)))
   2
(call/ep (lambda (k) (k 2) 3))
   2
(monitor (lambda (anomaly continuable?) 3)
         1 )
   1
(monitor (lambda (anomaly continuable?) 3)
         1 2 4 )
   4
(call/ep (lambda (k)
  (monitor (lambda (anomaly continuable?) 
             (if continuable? 3 (k 5)) )
     (* 2 (diagnose 4 #t)) ) ))
   6
(call/ep (lambda (k)
  (monitor (lambda (anomaly continuable?) 
             (if continuable? 3 (k 5)) )
     (* 2 (diagnose 4 #f)) ) ))
   5
(call/ep (lambda (k1)
  (monitor (lambda (a1 c1?) (if c1? 7 (k1 13)))
    (monitor (lambda (anomaly continuable?) 
               (if continuable? (diagnose 11 #t) (diagnose 15 #f)) )
       (* 2 (diagnose 4 #t)) ) ) ))
   14
(call/ep (lambda (k1)
  (monitor (lambda (a1 c1?) (if c1? 7 (k1 13)))
    (monitor (lambda (anomaly continuable?) 
               (if continuable? (diagnose 11 #t) (diagnose 15 #f)) )
       (* 2 (diagnose 4 #f)) ) ) ))
   13

;;; catch system-raised anomalies.
;;; (1) catch an uninitialized global variable
foo-
   ***
(call/ep (lambda (k)
  (monitor (lambda (anomaly continuable?) (k 3))
     foo- ) ))
   3
(call/ep (lambda (k)
  (monitor (lambda a (k 3))
     foo- ) ))
   3
;;; (2) catch an arity error
(call/ep (lambda (k)
  (monitor (lambda (e c) (k 22))
    (apply cons '()) ) ))
   22
(call/ep (lambda (k)
  (monitor (lambda (e c) (k 22))
    (apply (lambda () 1) '(2 3)) ) ))
   22
(call/ep (lambda (k)
  (monitor (lambda (e c) (k 22))
    (call/ep (lambda () (kk))) ) ))
   22
(call/ep (lambda (k)
  (monitor (lambda (e c) (k 22))
    (call/ep (lambda (kk) (kk))) ) ))
   22

"
              End of monitor tests
"
   ---

;;; end of monitor.tst
