;;; $Id: see.scm,v 1.3 1994/10/14 19:22:57 queinnec Exp $

;;; Debug utilities to convert icslas values back to Scheme (for tests).

(define-generic (->Scheme (o)) 
  o )

(define-method (->Scheme (o RT-Constant))
  (case (RT-Constant-name o)
    ((t)           #t)
    ((f)           #f)
    ((nil)         '())
    ((unspecified) "#<unspecified>")
    (else (->Scheme-error "Cannot convert" o)) ) )

;;; show methods

(define-method (show (o RT-Constant) . stream)
  (let ((stream (if (pair? stream) (car stream) (current-output-port))))
    (display "#<RT-Constant:" stream)
    (display (->Scheme o) stream)
    (display ">" stream) ) )

;;; end of see.scm
